X2Go Bug report logs - #987
.ts Files Name Mismatch Problem

version graph

Packages: debian, x2goclient; Maintainer for debian is (unknown); Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Orkun BALCI <b.orkun@gmail.com>

Date: Wed, 27 Jan 2016 08:05:02 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.0-1

Fixed in version 4.0.5.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 08:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Orkun BALCI <b.orkun@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 08:05:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orkun BALCI <b.orkun@gmail.com>
To: submit@bugs.x2go.org
Subject: .ts Files Name Mismatch Problem
Date: Wed, 27 Jan 2016 10:03:44 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient (Debian)
Version: 4.0.5.0-1

In Qt Resources, translation files (.ts) filenames ends with a preceeding
underscore and two character (like _tr, _en, etc.) However, locale names
are in the form tr_TR or en_US. Because x2goclient reads from
:/i18n/[filename] Qt Resource file, it cannot find a file named
x2goclient_tr_TR, x2goclient_en_US, qt_tr_TR, or qt_en_US. .ts file names
should be changed from trailing two character to four character full locale
name.
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 14:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 14:50:02 GMT) (full text, mbox, link).


Message #10 received at 987@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Orkun BALCI <b.orkun@gmail.com>, 987@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem
Date: Wed, 27 Jan 2016 15:44:45 +0100
[Message part 1 (text/plain, inline)]
On 27.01.2016 09:03 AM, Orkun BALCI wrote:
> Package: x2goclient (Debian) Version: 4.0.5.0-1
> 
> In Qt Resources, translation files (.ts) filenames ends with a
> preceeding underscore and two character (like _tr, _en, etc.)
> However, locale names are in the form tr_TR or en_US. Because
> x2goclient reads from :/i18n/[filename] Qt Resource file, it cannot
> find a file named x2goclient_tr_TR, x2goclient_en_US, qt_tr_TR, or
> qt_en_US. .ts file names should be changed from trailing two
> character to four character full locale name.

I disagree, let me explain why.

We're using QTranslator::load(), which, according to the documentation, should try to load stripped file names, too, c.f.: https://doc.qt.io/qt-4.8/qtranslator.html#load

The important part is the fallback list for fr_ca. Eventually, it should be able to load :/i18n/x2goclient_tr.qm (and thus also :/i18n/qt_tr.qm.)

Are you seeing different, wrong behavior?



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 22:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Orkun BALCI <b.orkun@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 22:30:02 GMT) (full text, mbox, link).


Message #15 received at 987@bugs.x2go.org (full text, mbox, reply):

From: Orkun BALCI <b.orkun@gmail.com>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 987@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem
Date: Thu, 28 Jan 2016 00:26:55 +0200
[Message part 1 (text/plain, inline)]
Thank you Mihai,

In the code and in the error it exactly seeks for x2goclient_tr_tr (or
x2goclient_tr_TR depending on version) file. However, when I read the link
you sent, I got that there can be another wrong character in the name. In
this link it says x2goclient.tr_TR or x2goclient.tr are the correct front
names of it. So, there can be an underscore or dot character problem.

Well, I have forked the code to my github repository today, and I will have
a look at it when I find some free time. So, I will inform you back about
the further work.

Best Regards,
Orkun BALCI


On Wed, Jan 27, 2016 at 4:44 PM, Mihai Moldovan <ionic@ionic.de> wrote:

> On 27.01.2016 09:03 AM, Orkun BALCI wrote:
> > Package: x2goclient (Debian) Version: 4.0.5.0-1
> >
> > In Qt Resources, translation files (.ts) filenames ends with a
> > preceeding underscore and two character (like _tr, _en, etc.)
> > However, locale names are in the form tr_TR or en_US. Because
> > x2goclient reads from :/i18n/[filename] Qt Resource file, it cannot
> > find a file named x2goclient_tr_TR, x2goclient_en_US, qt_tr_TR, or
> > qt_en_US. .ts file names should be changed from trailing two
> > character to four character full locale name.
>
> I disagree, let me explain why.
>
> We're using QTranslator::load(), which, according to the documentation,
> should try to load stripped file names, too, c.f.:
> https://doc.qt.io/qt-4.8/qtranslator.html#load
>
> The important part is the fallback list for fr_ca. Eventually, it should
> be able to load :/i18n/x2goclient_tr.qm (and thus also :/i18n/qt_tr.qm.)
>
> Are you seeing different, wrong behavior?
>
>
>
> Mihai
>
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 22:45:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 22:45:02 GMT) (full text, mbox, link).


Message #20 received at 987@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Orkun BALCI <b.orkun@gmail.com>
Cc: 987@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem
Date: Wed, 27 Jan 2016 23:42:05 +0100
[Message part 1 (text/plain, inline)]
On 27.01.2016 11:26 PM, Orkun BALCI wrote:
> In the code and in the error it exactly seeks for x2goclient_tr_tr (or x2goclient_tr_TR depending on version) file. However, when I read the link you sent, I got that there can be another wrong character in the name. In this link it says x2goclient.tr_TR or x2goclient.tr <http://x2goclient.tr> are the correct front names of it. So, there can be an underscore or dot character problem.

If you use

LC_ALL=de_DE.utf8 LANG=de_DE.utf8 LANGUAGE=de_DE.utf8 x2goclient --debug

you'll see that the client starts up in German. So the algorithm in x2goclient is working as intended - at least for some translations.

Now, there is another bug report with #953 and your report is actually a duplicate of this.

LC_ALL=nb_NO.utf8 LANG=nb_NO.utf8 LANGUAGE=nb_NO.utf8:da_DK.utf8 x2goclient --debug

will exactly replicate the behavior described in the other bug report - loading the fallback Danish translation instead of the (equally existing) Norwegian one.

Just like for the Norwegian translation, the Turkish translation fails to load. I suspect it's not a code problem, but something else. The issue is reproducible on OS X, too.

Try

LC_ALL=tr_TR.utf8 LANG=tr_TR.utf8 LANGUAGE=tr_TR:nb_NO.utf8:da_DK.utf8 x2goclient --debug

and guess what language will be loaded...


I have to investigate this.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 23:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 23:00:02 GMT) (full text, mbox, link).


Message #25 received at 987@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Orkun BALCI <b.orkun@gmail.com>
Cc: 987@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#987: Bug#987: .ts Files Name Mismatch Problem
Date: Wed, 27 Jan 2016 23:57:10 +0100
[Message part 1 (text/plain, inline)]
On 27.01.2016 11:42 PM, Mihai Moldovan wrote:
> Just like for the Norwegian translation, the Turkish translation fails to load. I suspect it's not a code problem, but something else. The issue is reproducible on OS X, too.
> [...]
> I have to investigate this.

Found it. The Turkish translation is not added as a resource and thus not baked into the binary.

That's all. Commit coming up.


Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 23:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 23:05:02 GMT) (full text, mbox, link).


Message #30 received at 987@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 987-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 987@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Thu, 28 Jan 2016 00:03:45 +0100 (CET)
tag #987 pending
fixed #987 4.0.5.1
thanks

Hello,

X2Go issue #987 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=793ee25

The issue will most likely be fixed in src:x2goclient (4.0.5.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 793ee25dff02a278cf1b37f8eb7197b21270dc32
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Jan 28 00:02:11 2016 +0100

    res/resources.rcc: add Turkish translation file. Fixes: #987.

diff --git a/debian/changelog b/debian/changelog
index 165c2d1..9aae452 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -24,6 +24,7 @@ x2goclient (4.0.5.1-0x2go1) UNRELEASED; urgency=low
       up the invalid lines.
     - macbuild.sh: add stdlib forcing. Should not be used unless you really
       know what you're doing. If you ponder using this, you probably don't.
+    - res/resources.rcc: add Turkish translation file. Fixes: #987.
   * debian/control:
     - Change apache2-dev | libc6-dev build dependency back to apache2-dev
       only. Otherwise, apache2-dev is not installed at all, even though


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 27 Jan 2016 23:05:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 27 Jan 2016 23:05:04 GMT) (full text, mbox, link).


Message sent on to Orkun BALCI <b.orkun@gmail.com>:
Bug#987. (Wed, 27 Jan 2016 23:05:05 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 23:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Orkun BALCI <b.orkun@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 23:10:03 GMT) (full text, mbox, link).


Message #42 received at 987@bugs.x2go.org (full text, mbox, reply):

From: Orkun BALCI <b.orkun@gmail.com>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 987@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem
Date: Thu, 28 Jan 2016 01:08:14 +0200
[Message part 1 (text/plain, inline)]
Hello Again Mihai,

It says, it exist :/i18n/x2goclient_de_DE, however, it doesnt exist
:/i18n/x2goclient_tr_TR.UTF_8 (and same for qt_de_DE and qt_tr_TR).

When I run

LC_ALL=tr_TR.utf8 LANG=tr_TR.utf8 LANGUAGE=tr_TR:nb_NO.utf8:da_DK.utf8
x2goclient --debug

it is translated into a Danish or Nordish language.

When I look at the source, I cannot see qt_tr.qm file, however I can see
qt_de, qt_da files. Maybe it is not compiled with "lrelease" during "make"
process.

Best Regards,
Orkun BALCI


On Thu, Jan 28, 2016 at 12:42 AM, Mihai Moldovan <ionic@ionic.de> wrote:

> On 27.01.2016 11:26 PM, Orkun BALCI wrote:
> > In the code and in the error it exactly seeks for x2goclient_tr_tr (or
> x2goclient_tr_TR depending on version) file. However, when I read the link
> you sent, I got that there can be another wrong character in the name. In
> this link it says x2goclient.tr_TR or x2goclient.tr <http://x2goclient.tr>
> are the correct front names of it. So, there can be an underscore or dot
> character problem.
>
> If you use
>
> LC_ALL=de_DE.utf8 LANG=de_DE.utf8 LANGUAGE=de_DE.utf8 x2goclient --debug
>
> you'll see that the client starts up in German. So the algorithm in
> x2goclient is working as intended - at least for some translations.
>
> Now, there is another bug report with #953 and your report is actually a
> duplicate of this.
>
> LC_ALL=nb_NO.utf8 LANG=nb_NO.utf8 LANGUAGE=nb_NO.utf8:da_DK.utf8
> x2goclient --debug
>
> will exactly replicate the behavior described in the other bug report -
> loading the fallback Danish translation instead of the (equally existing)
> Norwegian one.
>
> Just like for the Norwegian translation, the Turkish translation fails to
> load. I suspect it's not a code problem, but something else. The issue is
> reproducible on OS X, too.
>
> Try
>
> LC_ALL=tr_TR.utf8 LANG=tr_TR.utf8 LANGUAGE=tr_TR:nb_NO.utf8:da_DK.utf8
> x2goclient --debug
>
> and guess what language will be loaded...
>
>
> I have to investigate this.
>
>
>
> Mihai
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 23:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 23:20:02 GMT) (full text, mbox, link).


Message #47 received at 987@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Orkun BALCI <b.orkun@gmail.com>
Cc: 987@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem
Date: Thu, 28 Jan 2016 00:17:08 +0100
[Message part 1 (text/plain, inline)]
On 28.01.2016 12:08 AM, Orkun BALCI wrote:
> It says, it exist :/i18n/x2goclient_de_DE, however, it doesnt exist :/i18n/x2goclient_tr_TR.UTF_8 (and same for qt_de_DE and qt_tr_TR).

Yep, it really didn't exist in the binary. My fault, I've added it now.


> When I run 
> 
> LC_ALL=tr_TR.utf8 LANG=tr_TR.utf8 LANGUAGE=tr_TR:nb_NO.utf8:da_DK.utf8 x2goclient --debug
> 
> it is translated into a Danish or Nordish language.

Yep, it's translated into Danish, because there is no Turkish translation baked into the binary. The Norwegian issue is different from yours.

 
> When I look at the source, I cannot see qt_tr.qm file, however I can see qt_de, qt_da files. Maybe it is not compiled with "lrelease" during "make" process.

Qt itself sadly has no Turkish translation, so that's normal.

I have pushed a fix already. The Debian builds will hopefully run shortly, so if you use the nightly/heuler repository, try to update and upgrade in an hour.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Wed, 27 Jan 2016 23:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Orkun BALCI <b.orkun@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Wed, 27 Jan 2016 23:45:02 GMT) (full text, mbox, link).


Message #52 received at 987@bugs.x2go.org (full text, mbox, reply):

From: Orkun BALCI <b.orkun@gmail.com>
To: Mihai Moldovan <ionic@ionic.de>
Cc: 987@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#987: .ts Files Name Mismatch Problem
Date: Thu, 28 Jan 2016 01:42:46 +0200
[Message part 1 (text/plain, inline)]
Thank You Mihai.

I will check it and return soon. For the #953 topic, I cannot see the nb_NO
compiled qm file too. But I think the main issue there is falling to Danish
but not Norwegian. I search and I cannot find but I guess Norwegian's
translation fallback translation is Danish. I think thats why it is falling
back to Danish. I have seen it in the debug window and guess it.

Best Regards,
Orkun BALCI


On Thu, Jan 28, 2016 at 1:17 AM, Mihai Moldovan <ionic@ionic.de> wrote:

> On 28.01.2016 12:08 AM, Orkun BALCI wrote:
> > It says, it exist :/i18n/x2goclient_de_DE, however, it doesnt exist
> :/i18n/x2goclient_tr_TR.UTF_8 (and same for qt_de_DE and qt_tr_TR).
>
> Yep, it really didn't exist in the binary. My fault, I've added it now.
>
>
> > When I run
> >
> > LC_ALL=tr_TR.utf8 LANG=tr_TR.utf8 LANGUAGE=tr_TR:nb_NO.utf8:da_DK.utf8
> x2goclient --debug
> >
> > it is translated into a Danish or Nordish language.
>
> Yep, it's translated into Danish, because there is no Turkish translation
> baked into the binary. The Norwegian issue is different from yours.
>
>
> > When I look at the source, I cannot see qt_tr.qm file, however I can see
> qt_de, qt_da files. Maybe it is not compiled with "lrelease" during "make"
> process.
>
> Qt itself sadly has no Turkish translation, so that's normal.
>
> I have pushed a fix already. The Debian builds will hopefully run shortly,
> so if you use the nightly/heuler repository, try to update and upgrade in
> an hour.
>
>
>
> Mihai
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org:
Bug#987; Package x2goclient (debian). (Thu, 24 Mar 2016 20:40:18 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>, owner@bugs.x2go.org. (Thu, 24 Mar 2016 20:40:19 GMT) (full text, mbox, link).


Message #57 received at 987@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 987-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 987@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 24 Mar 2016 21:38:47 +0100 (CET)
close #987
thanks

Hello,

we are very hopeful that X2Go issue #987 reported by you
has been resolved in the new release (4.0.5.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4f91293625f1b3c12a1fa0a414424557d82fc65a;hp=b69667ef6d5f762b988e756a85a429792871e88c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.1-0x2go1
Status: RELEASE
Date: Thu, 24 Mar 2016 21:35:30 +0100
Fixes: 487 772 860 916 921 927 928 945 948 953 973 987 1000
Changes: 
 x2goclient (4.0.5.1-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.1):
     - onmainwindow.cpp: include sshd PID file path option in quotes to support
       whitespaces within the var directory path on Windows. Add comment to
       revisit this later on non-Windows-platforms, too. Fixes: #916.
     - onmainwindow.cpp: do NOT reformat. Reverts most of the previous commit
       because it breaks code logic.
     - res/txt/packs: add adaptive method.
     - {macbuild.sh,x2goclient.pro}: pass MacPorts library and include path's
       to qmake. Due to the qt4-mac's changes, we do not automatically get
       these values automatically "appended" in a usable way anymore.
     - x2gosettings.cpp: let centralSettings () return false on Windows.
     - onmainwindow.cpp: be more precise in slotScDaemonError () regarding
       unknown and undefined errors.
     - onmainwindow.{cpp,h}: don't use a hardcoded path to xmodmap on OS X and
       handle errors more gracefully. Fixes: #487.
     - x2goclient.pro: fix typo --stdlib=... -> -stdlib=... Fixes: #973.
     - onmainwindow.cpp: add some more error handling for parsing the return
       value of x2golistsessions. As it turns out, it can happen that "invalid"
       strings are inserted in there, for instance by the perl interpreter
       itself. We need to skip over these, or the client crashes when splitting
       up the invalid lines.
     - macbuild.sh: add stdlib forcing. Should not be used unless you really
       know what you're doing. If you ponder using this, you probably don't.
     - res/resources.rcc: add Turkish translation file. Fixes: #987.
     - onmainwindow.cpp: use lowercase version of locale. Fixes: #953.
       Fixes loading up the nb_NO translation file, which is actually baked as
       nb_no into the binary.
     - sshmasterconnection.cpp: let challenge-auth-based login attempts
       fallback to normal password authentication if the initial
       challenge-auth-based attempt was unsuccessful.
     - sshmasterconnection.{cpp,h}: support variable number of
       challenge-auth-code-based prompts.
     - sshmasterconnection.cpp: don't check prompts for full string equality -
       a matching prefix is good enough. Amongst others, this fixes errors in
       conditions where the prompt does not contain a trailing whitespace, but
       X2Go Client expects one.
     - sshmasterconnection.cpp: add OATH TOTP prompt prefix. Fixes: #860.
     - res/i18n: refresh translation files again.
     - res/i18n/x2goclient_nb_no.ts: replace "X-Serv..." with "X.Org Server"
       where applicable.
     - res/i18n/x2goclient_nb_no.ts: correctly use "XQuartz" where necessary.
     - res/i18n/x2goclient_nb_no.ts: whitespace only.
     - res/i18n/x2goclient_nb_no.ts: fix up some "x2go" -> "X2Go" errors.
     - res/i18n/x2goclient_nb_no.ts: mark translation strings needing some care
       ("x2go..." -> "X2Go...") as unfinished for later fixup.
     - res/i18n/x2goclient_nb_no.ts: fix (meta data) typo introduced with last
       commit.
     - res/i18n/x2goclient_nl.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_de.ts: fixup translation by respecting the original
       messages' format, fixing typos and general improvements.
     - res/i18n/x2goclient_es.ts: fixup translation by respecting the original
       messages' format and other changes.
     - res/i18n/x2goclient_sv.ts: fixup translation by respecting the original
       messages' format and other changes.
   * debian/control:
     - Change apache2-dev | libc6-dev build dependency back to apache2-dev
       only. Otherwise, apache2-dev is not installed at all, even though
       theoretically available. The initial reasoning for this dependency type,
       apache2-dev not being available on all Ubuntu/Debian platforms, is not
       true anymore.
     - Change apache2-dev build dependency yet again to apache2-dev |
       apache2-threaded-dev. Turns out all Debian distros but wheezy (currently
       oldstable) have an apache2-dev package. Even oldoldstable (squeeze)
       does...
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.1):
     - xsettingswidget: compile only on Windows.
     - Add support for new style command line options of xfreerdp on direct RDP
       connections. (Fixes: #772).
     - Replace "::" with "_" for the desktop link name on Windows.
     - Fix direct RDP in broker mode.
     - Fix crashing client when editing session from SessionManageDialog.
       Fixes: #921.
     - Configure audio input in pulseaudio on Windows.
     - Reconnect ssh broker in case of IO Error.
     - Reformat source onmainwindow.cpp.
     - Disable settings editing if a directory with central settings is exists.
     - Format long names on session buttons.
     - Central settings for Linux, Mac and Windows.
     - Fix VCXSRV parameter to disable PRIMARY clipboard in X2Go Client for Windows. Fixes: #927.
     - Fix reading settings for direct RDP connections in broker mode.
     - Auto accept RSA Keys for SSH Broker with --add-to-known-hosts option.
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.5.1):
     - xinerama.conf: Don't choke if screen coordintate lines in xinerama.conf
       start with a dash ("-"). (Fixes: #948).
 .
   [ Mike DePaulo ]
   * New upstream release (4.0.5.1):
     - Windows: Update bundled Win32 OpenSSL from 1.0.1p to 1.0.1q,
       which fixes the multiple CVEs announced on 2015-12-03.
     - Windows: Upgrade Cygwin components to latest versions as of
       2016-01-21, except for the Cygwin DLL which is still at 1.7.33
       in order to avoid breaking folder sharing and printer sharing
       due to 1.7.34's ACL/permissions changes.
       (authorized_keys file would often have mode 660 instead of 600)
       The latest components include most notably:
         + openssh 6.8p1-1-x2go1 -> 7.1p2-1-x2go1 (security update)
         + openssl 1.0.2d-1 -> 1.0.2e-1 (security update)
     - Windows: Update nxproxy from 3.5.0.31 to 3.5.0.32
     - Windows: Update Unicode NSIS from 2.46.5 to 2.50.0 Pre-release,
       which fixes the DLL hijacking security vuln (NSIS bug 1125.)
     - Windows: Update PuTTY from 0.64 to 0.66, which fixes
       CVE-2015-5309.
     - Windows: Remove libzip. libssh no longer uses it.
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.5.1):
     - ssh{process,masterconnection}.cpp: run bash as a login shell when
       invoking any command remotely. Fixes: #928. Because this opens the door
       for ~/.bash_logout and friend scripts to be executed, which may contain
       calls to ncurses' reset or clear, also set the TERM variable to dump to
       not have unexpected output on stderr at logout time.
     - sshmasterconnection.cpp: check correct variable for validity: public key
       instead of private key (again.) Fixes: #945.
 .
   [ Klaus Ade Johnstad ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nb_no.ts: update Bokmål (Norway) translation file.
 .
   [ Heinrich Schuchardt ]
   * New upstream version (4.0.5.1):
     - sshmasterconnection.cpp: don't fetch invalid proxy socket. Fixes: #1000.
       From http://doc.qt.io/qt-4.8/qabstractsocket.html#socketDescriptor:
       The socket descriptor is not available when QAbstractSocket is in
       UnconnectedState.
       So we have to connect to the proxy server first before retrieving the
       native socket.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_sv.ts: update Swedish translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Jos Wolfkamp ]
   * New upstream version (4.0.5.1):
     - res/i18n/x2goclient_nl.ts: update Dutch translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream release (4.0.5.1):
     - res/i18n/x2goclient_es.ts: update Spanish translation file.


Message sent on to Orkun BALCI <b.orkun@gmail.com>:
Bug#987. (Thu, 24 Mar 2016 20:40:43 GMT) (full text, mbox, link).


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 24 Mar 2016 20:40:47 GMT) (full text, mbox, link).


Notification sent to Orkun BALCI <b.orkun@gmail.com>:
Bug acknowledged by developer. (Thu, 24 Mar 2016 20:40:47 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 22 Apr 2016 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Dec 9 23:00:52 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.